package org.imageclef.flickr;


public class KeyValuePair<K, V> {
	public K key;
	public V value;	

	public KeyValuePair(K key, V value) {
		this.key = key;
		this.value = value;
	}

	// for adding key-value pairs to a hashmap, we want
	// them to be equal when their keys are equal
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (!(obj instanceof KeyValuePair<?, ?>))
			return false;
		KeyValuePair<?, ?> kvp = (KeyValuePair<?, ?>)obj;
		return this.hashCode() == kvp.hashCode();
	}
	public int hashCode() { 
		return this.key.hashCode();
	}
	
	// pretty print key-value pair
	@Override
	public String toString() {
		return this.key + "," + this.value;
	}
}